INSERT_RESOURCE(9)

NAME
insert_resource - Inserts a resource in the resource tree

SYNOPSIS

int insert_resource (struct resource * parent, struct resource * new);

ARGUMENTS

parent
    parent of the new resource

new new resource to insert

DESCRIPTION

Returns 0 on success, -EBUSY if the resource can't be inserted.

This function is equivalent of request_resource when no conflict happens. If a conflict happens, and the conflicting resources entirely fit within the range of the new resource, then the new resource is inserted and the conflicting resources become childs of the new resource. Otherwise the new resource becomes the child of the conflicting resource